Nanoscale physics - Quality Assurance

Summary

Autoremovals: 4

Migration issues: 8

CI failures: 8

Install issues: 42

No issues: 9/57

Debian Science Nanoscale Physics packages

This metapackage will install Debian Science packages related to Nanoscale Physics, which corresponds to the study of physical systems typically ranging from 1 to 100 nm in size. The properties of such systems usually depend on the number of atoms they are made of, while this number is still relatively large for an accurate description. . The nanoscale is the meeting point of classical and quantum physics. Previous research efforts were considering either smaller systems, for which everybody could develop their own methods and software independently, or much bigger systems, for which it was clearly impossible to provide a fine-grained description. Addressing the issues raised by the nanoscale requires however cooperative and coordinated efforts in a multidisciplinary context. This metapackage is part of such an endeavor. . You might also be interested in the debtag field::physics and, depending on your focus, in the physics and education-physics metapackages.

finalcif

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜Ÿ CI

Package marked for automatic removal:

  • Will be removed on: 2024-07-16
  • Dependencies leading to autoremoval: behave
  • Bugs in dependencies leading to autoremoval: #1072132

Continuous integration (CI) tests are failing:

sasview

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜Ÿ CI

Package marked for automatic removal:

  • Will be removed on: 2024-07-07
  • Dependencies leading to autoremoval: scikit-learn
  • Bugs in dependencies leading to autoremoval: #1070201

Continuous integration (CI) tests are failing:

abinit

๐Ÿ˜Ÿ Autoremoval

๐Ÿ˜Ÿ Install/upgrade

Package marked for automatic removal:

  • Will be removed on: 2024-07-10
  • Dependencies leading to autoremoval: markdown
  • Bugs in dependencies leading to autoremoval: #1063645

Piuparts failed:

binoculars

๐Ÿ˜Ÿ Autoremoval

Package marked for automatic removal:

  • Will be removed on: 2024-07-19
  • Dependencies leading to autoremoval: silx
  • Bugs in dependencies leading to autoremoval: #1072591

cp2k

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 122 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest, depends
  • Migrates after: dbcsr

Piuparts failed:

gdis

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 193 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest, depends
  • Migrates after: gtkglext

Piuparts failed:

mathgl

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Not in testing for 80 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest

Piuparts failed:

octave

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Migration from unstable to testing is blocked:

  • Verdict: Waiting for another item to be ready to migrate (no action required now - check later)
  • Reason: depends
  • Invalidated by another package
  • Blocked by: qt6-tools
  • Migrates after: qt6-5compat, qt6-base

Piuparts failed:

openmx

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Migration from unstable to testing is blocked:

  • Not in testing for 238 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest, depends

Piuparts failed:

Continuous integration (CI) tests are missing.

sympy

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

Migration from unstable to testing is blocked:

  • Has been trying to migrate for 14 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest

Piuparts failed:

lmfit-py

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Piuparts failed:

python-pygraphviz

๐Ÿ˜Ÿ CI

๐Ÿ˜Ÿ Install/upgrade

Continuous integration (CI) tests are failing:

Piuparts failed:

maxima

๐Ÿ˜Ÿ Migration

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Migration from unstable to testing is blocked:

  • Verdict: Rejected/violates migration policy/introduces a regression

Piuparts failed:

Continuous integration (CI) tests are missing.

ghemical

๐Ÿ˜Ÿ Migration

Migration from unstable to testing is blocked:

  • Not in testing for 207 days.
  • Verdict: Rejected/violates migration policy/introduces a regression
  • Reason: autopkgtest, depends
  • Migrates after: gtkglext, libglade2

axiom

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

cbflib

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

debian-science

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

dx

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

dxsamples

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

espresso

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

etsf-io

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

gsl

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

gwyddion

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

hdf5

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

mpqc

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

nco

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

psicode

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

ssm

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

v-sim

๐Ÿ˜Ÿ Install/upgrade

๐Ÿ˜‘ Tests missing

Piuparts failed:

Continuous integration (CI) tests are missing.

avogadro

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

drawxtl

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

fityk

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

garlic

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

gnuplot

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

gperiodic

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

grace

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

graphviz

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

lapack

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

mpich

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

ncview

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

netcdf

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

nexus

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

openmpi

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

pymca

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

pyxplot

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

scilab

๐Ÿ˜Ÿ Install/upgrade

Piuparts failed:

feynmf

๐Ÿ˜‘ Tests missing

Continuous integration (CI) tests are missing.

mayavi2

๐Ÿ˜‘ Tests missing

Continuous integration (CI) tests are missing.